WordPress.org

Make WordPress Core

Ticket #21316: 21316.3.patch

File 21316.3.patch, 1.2 KB (added by SergeyBiryukov, 6 years ago)
  • wp-includes/load.php

     
    105105        $php_version = phpversion();
    106106        if ( version_compare( $required_php_version, $php_version, '>' ) ) {
    107107                wp_load_translations_early();
    108                 wp_die( sprintf( __( 'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.' ), $php_version, $wp_version, $required_php_version ) );
     108                die( sprintf( __( 'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.' ), $php_version, $wp_version, $required_php_version ) );
    109109        }
    110110
    111111        if ( ! extension_loaded( 'mysql' ) && ! file_exists( WP_CONTENT_DIR . '/db.php' ) ) {
    112112                wp_load_translations_early();
    113                 wp_die( __( 'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.' ) );
     113                die( __( 'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.' ) );
    114114        }
    115115}
    116116
     
    685685        require_once ABSPATH . WPINC . '/locale.php';
    686686
    687687        // General libraries
    688         require_once ABSPATH . WPINC . '/functions.php';
    689688        require_once ABSPATH . WPINC . '/plugin.php';
    690689
    691690        $locales = $locations = array();